WAIT_EVENT_INTERRUPT(9)

NAME
wait_event_interruptible_timeout - sleep until a condition gets true or a timeout elapses

SYNOPSIS

wait_event_interruptible_timeout(wq, condition, timeout);

ARGUMENTS

wq
    the waitqueue to wait on

condition
    a C expression for the event to wait for

timeout
    timeout, in jiffies

DESCRIPTION

The process is put to sleep (TASK_INTERRUPTIBLE) until the condition evaluates to true or a signal is received. The condition is checked each time the waitqueue wq is woken up.

wake_up has to be called after changing any variable that could change the result of the wait condition.

RETURNS

0 if the condition evaluated to false after the timeout elapsed, 1 if the condition evaluated to true after the timeout elapsed, the remaining jiffies (at least 1) if the condition evaluated to true before the timeout elapsed, or -ERESTARTSYS if it was interrupted by a signal.

COPYRIGHT